using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class gyartok : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        gyartoListaz();
    }

    public TableCell tCell1;
    public TableCell tCell2;
    public TableCell tCell3;
    public TableCell tCell4;
    public TableCell tCell5;
    public TableCell tCell6;

    protected void gyartoListaz()
    {
        div1.Controls.Clear(); // Töröljük a div1 ID-val ellátott div vezérlőt controljait
        // Léterhuzunk egy a Class1.cs fileban a db namespace-ben definiált gyartoKat1ID structurájú adatokat tartalmazó listát       
        System.Collections.Generic.List<db.gyartoKat1ID> gyartoLista = new System.Collections.Generic.List<db.gyartoKat1ID>();
        // Lekérdezzük az adatbázis Kategória1 táblájából az adatokat
        db.adatbazisMuveletek.gyartoKat1IdLekerdez(out gyartoLista);
        // Léterhuzunk egy a Class1.cs fileban a db namespace-ben definiált disztriKontakt strukturájú adatokat tartalmazó listát       
        db.disztriKontakt kontakt = new db.disztriKontakt();

               
        // egy for ciklussal végig megyünk a gyartoListán
            for (int i = 0,j=0; i < gyartoLista.Count; j++, i++)
            {
                // lekérdezzük azokat a termékmanagereket akik a megfelelő gyártóhoz vannak rendelve
                db.adatbazisMuveletek.termekmanagerLekerdezes(gyartoLista[i].termekmanagerID, out kontakt);

                //dinamikusan létrehozzuk a Labeleket
                Label nev = new Label();
                nev.Text = kontakt.nev;
                nev.Font.Bold = true;
                nev.ID = "lblNev" + i.ToString();

                Label tel = new Label();
                tel.Text = kontakt.mobil;
                tel.Font.Bold = true;
                tel.ID = "lblBeosztas" + i.ToString();

                Label email = new Label();
                email.Text = kontakt.mail;
                email.Font.Bold = true;
                email.ID = "lblMail" + i.ToString();

                // dinamikusan létrehozzuk a gyártói ikont tartalmazó képet
                Image gyartoKep = new Image();
                gyartoKep.ImageUrl = gyartoLista[i].kep;
                gyartoKep.ID = "imgGyarto" + i.ToString();
                gyartoKep.Width = System.Web.UI.WebControls.Unit.Pixel(60);

                
                // létrehozzuk a táblázat celláit és hozzá adjuk a controlokat
                if (j == 0)
                {
                    tCell1 = new TableCell();
                    tCell2 = new TableCell();
                    tCell1.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                    tCell2.Width = System.Web.UI.WebControls.Unit.Pixel(173);
                    tCell1.Controls.Add(gyartoKep);
                    tCell2.Controls.Add(nev);
                    tCell2.Controls.Add(tel);
                    tCell2.Controls.Add(email);
                    
                }

                
                if (j == 1)
                {
                    tCell3 = new TableCell();
                    tCell4 = new TableCell();
                    tCell3.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                    tCell4.Width = System.Web.UI.WebControls.Unit.Pixel(173);
                    tCell3.Controls.Add(gyartoKep);
                    tCell4.Controls.Add(nev);
                    tCell4.Controls.Add(tel);
                    tCell4.Controls.Add(email);
                    
                }
                
                if (j == 2)
                {
                    tCell5 = new TableCell();
                    tCell6 = new TableCell();
                    tCell5.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                    tCell6.Width = System.Web.UI.WebControls.Unit.Pixel(173);
                    tCell5.Controls.Add(gyartoKep);
                    tCell6.Controls.Add(nev);
                    tCell6.Controls.Add(tel);
                    tCell6.Controls.Add(email);

                    // létrehozzuk a táblázat sorát majd a cellákat belerakjuk
                    TableRow tRow = new TableRow();

                    tRow.Controls.Add(tCell1);
                    tRow.Controls.Add(tCell2);
                    tRow.Controls.Add(tCell3);
                    tRow.Controls.Add(tCell4);
                    tRow.Controls.Add(tCell5);
                    tRow.Controls.Add(tCell6);
                    // létrehozunk egy Panel-t
                    Panel pnl = new Panel();
                    pnl.ID = "panel0_"+i.ToString();
                    // létrehozunk egy Tábálzatot
                    Table table = new Table();
                    table.Width = System.Web.UI.WebControls.Unit.Pixel(820);
                    table.BorderStyle = BorderStyle.None;
                    // A táblázathoz hozzá adjuk a sort a panelhez a táblázatot a panelt pedig a div1 kontrolhoz
                    table.Controls.Add(tRow);
                    pnl.Controls.Add(table);
                    div1.Controls.Add(pnl);

                    
                    
                    
                    j = -1;
                }

                
                
            }
        
    }
}
